Get article details
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id} \
--header 'X-Api-Key: <x-api-key>'{
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"title": "Getting Started Guide",
"state": "published",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"full_url": "https://example.neetokb.com/articles/getting-started",
"url": "/articles/getting-started",
"html_content": "<h1>Welcome</h1><p>This is a getting started guide.</p>",
"content": "This is the plain text content of the article.",
"author": {
"name": "<string>",
"email": "jsmith@example.com",
"profile_image_url": "<string>"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"sequence": 123,
"parent_id": "<string>",
"depth": 123,
"articles_count": 123,
"categories_count": 123,
"total_articles_count": 123,
"url": "<string>",
"subcategories": "<array>",
"ancestors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
}
],
"children": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"created_at": "<string>",
"content": "<string>"
}
]
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "tutorial"
}
],
"attachments": [
"<unknown>"
],
"related_articles": [
"<unknown>"
],
"keywords": [
"<unknown>"
],
"next_article": {},
"prev_article": {},
"table_of_contents": "<string>",
"show_table_of_contents": true
},
"meta": {
"url": "/articles/getting-started",
"page_title": "Getting Started - Knowledge Base",
"keywords": "getting started, tutorial, guide",
"meta_description": "A comprehensive guide to help you get started with our platform"
}
}Articles
Get article
This API allows to fetch article details.
GET
/
articles
/
{article_id}
Get article details
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id} \
--header 'X-Api-Key: <x-api-key>'{
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"title": "Getting Started Guide",
"state": "published",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"full_url": "https://example.neetokb.com/articles/getting-started",
"url": "/articles/getting-started",
"html_content": "<h1>Welcome</h1><p>This is a getting started guide.</p>",
"content": "This is the plain text content of the article.",
"author": {
"name": "<string>",
"email": "jsmith@example.com",
"profile_image_url": "<string>"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"sequence": 123,
"parent_id": "<string>",
"depth": 123,
"articles_count": 123,
"categories_count": 123,
"total_articles_count": 123,
"url": "<string>",
"subcategories": "<array>",
"ancestors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
}
],
"children": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"created_at": "<string>",
"content": "<string>"
}
]
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "tutorial"
}
],
"attachments": [
"<unknown>"
],
"related_articles": [
"<unknown>"
],
"keywords": [
"<unknown>"
],
"next_article": {},
"prev_article": {},
"table_of_contents": "<string>",
"show_table_of_contents": true
},
"meta": {
"url": "/articles/getting-started",
"page_title": "Getting Started - Knowledge Base",
"keywords": "getting started, tutorial, guide",
"meta_description": "A comprehensive guide to help you get started with our platform"
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"getting-started"
Example:
"Getting Started Guide"
Available options:
draft, published Example:
"published"
Example:
"https://example.neetokb.com/articles/getting-started"
Example:
"/articles/getting-started"
Example:
"<h1>Welcome</h1><p>This is a getting started guide.</p>"
Example:
"This is the plain text content of the article."
Hide child attributes
Hide child attributes
⌘I